/* Pragmas zur Library V16.x */

#ifndef _INCLUDE_PRAGMA_RCT_LIB_H
#define _INCLUDE_PRAGMA_RCT_LIB_H

#pragma amicall(RctBase,  30, R_OldRctLoad( a0))
#pragma amicall(RctBase,  36, R_ResFree( a0))
#pragma amicall(RctBase,  42, R_ResAddr( a0, d0, d1))
#pragma amicall(RctBase,  48, R_ReqCenter( a0, a1, a2))
#pragma amicall(RctBase,  54, R_ReqDraw( a0, a1, a2))
#pragma amicall(RctBase,  60, R_ReqEnd( a0, a1, a2))
#pragma amicall(RctBase,  66, R_GetReqStruct( a0, a1, d0))
#pragma amicall(RctBase,  72, R_SetReqStruct( a0, a1, d0, d1))
#pragma amicall(RctBase,  78, R_SetReqText( a0, a1, d0, a2))
#pragma amicall(RctBase,  84, R_GetReqText( a0, a1, d0))
#pragma amicall(RctBase,  90, R_GetTextStruct( a0, a1, d0, d1))
#pragma amicall(RctBase,  96, R_SetTextStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 102, R_SetGadText( a0, a1, d0, a2))
#pragma amicall(RctBase, 108, R_GetGadText( a0, a1, d0))
#pragma amicall(RctBase, 114, R_GetGadStruct( a0, a1, d0, d1))
#pragma amicall(RctBase, 120, R_SetGadStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 126, R_RedrawGadgets( a0, a1, d0))
#pragma amicall(RctBase, 132, R_RedrawGad( a0, a1, d0, d1))
#pragma amicall(RctBase, 138, R_ActiveGad( a0, a1, d0))
#pragma amicall(RctBase, 144, R_SetStrGadText( a0, a1, d0, a2))
#pragma amicall(RctBase, 150, R_GetStrGadText( a0, a1, d0))
#pragma amicall(RctBase, 156, R_SetStrGadStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 162, R_GetStrGadStruct( a0, a1, d0, d1))
#pragma amicall(RctBase, 168, R_SetPropGadStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 174, R_GetPropGadStruct( a0, a1, d0, d1))

#pragma amicall(RctBase, 180, R_OldMenuDraw( a0, a1, a2))
#pragma amicall(RctBase, 186, R_MenuEnd( a0, a1, a2))
#pragma amicall(RctBase, 192, R_SetMenuTitle( a0, a1, d0, a2))
#pragma amicall(RctBase, 198, R_GetMenuTitle( a0, a1, d0))
#pragma amicall(RctBase, 204, R_SetMenuStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 210, R_GetMenuStruct( a0, a1, d0, d1))
#pragma amicall(RctBase, 216, R_SetMenuItext( a0, a1, d0, d1, a2))
#pragma amicall(RctBase, 222, R_GetMenuItext( a0, a1, d0, d1))
#pragma amicall(RctBase, 228, R_SetMenuItemStruct( a0, a1, d0, d1, d2, d3))
#pragma amicall(RctBase, 234, R_GetMenuItemStruct( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 240, R_SetMenuStext( a0, a1, d0, d1, d2, a2))
#pragma amicall(RctBase, 246, R_GetMenuStext( a0, a1, d0, d1, d2))
#pragma amicall(RctBase, 252, R_SetMenuSubStruct( a0, a1, d0, d1, d2, d3, d4))
#pragma amicall(RctBase, 258, R_GetMenuSubStruct( a0, a1, d0, d1, d2, d3))

#pragma amicall(RctBase, 264, R_ReqDrawWindow( a0, a1, a2, a3))
#pragma amicall(RctBase, 270, R_ReqWaitMsg( a0, a1, a2))
#pragma amicall(RctBase, 276, R_OldShowScreen( a0, d0, d1, a1))
#pragma amicall(RctBase, 282, R_RemScreen( a0, a1))

#pragma amicall(RctBase, 288, R_OldFormAlert( d0, a0))
#pragma amicall(RctBase, 294, R_OldFiler( a0))
#pragma amicall(RctBase, 300, R_FilerCacheFree( a0))
#pragma amicall(RctBase, 306, R_WaitMsg( a0, a1))
#pragma amicall(RctBase, 312, R_GadDrawWindow( a0, a1, a2, a3, d0, d1))

#pragma amicall(RctBase, 318, R_ShowScreen( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 324, R_InitAppl( a0)) /* New for V 16 */
#pragma amicall(RctBase, 330, R_ExitAppl( a0)) /* New for V 16 */
#pragma amicall(RctBase, 336, R_ShowWindow( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 342, R_RemWindow( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 348, R_Raw2Asc( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 354, R_SetSysRequest( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 360, R_ResetSysRequest( a0)) /* New for V 16 */
#pragma amicall(RctBase, 366, R_ResLoad( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 372, R_ChangeAccess( a0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 378, R_MenuDraw(  a0, a1, a2, a3)) /* New for V 16 */
#pragma amicall(RctBase, 384, R_Create( a0, d0, a1)) /* New for V 16 */
#pragma amicall(RctBase, 390, R_Destroy( a0, a1))  /* New for V 16 */
#pragma amicall(RctBase, 396, R_Localize( a0)) /* New for V 16 */
#pragma amicall(RctBase, 402, R_FormAlert( a0,a1)) /* New for V 16 */
#pragma amicall(RctBase, 408, R_FilterMsg( a0, a1, a2))  /* New for V 16 */
#pragma amicall(RctBase, 414, R_ModeIDReq( a0, a1))  /* New for V 16 */
#pragma amicall(RctBase, 420, R_SetUserData( a0, a1, a2)) /* New for V16 */
#pragma amicall(RctBase, 426, R_GetUserData( a0, a1)) /* New for V16 */
#pragma amicall(RctBase, 432, R_Filer( a0, a1)) /* New for V16 */
#pragma amicall(RctBase, 438, R_FontReq( a0, a1)) /* New for V16 */

#endif
